//*PMRawBegin
#include "colors.inc"
#include "textures.inc"
//*PMRawEnd

global_settings {
   adc_bailout 0.0039216
   assumed_gamma 1.5
   max_trace_level 256
   noise_generator 2
}

union {
   //*PMName Sword
   
   union {
      //*PMName Sword
      
      union {
         //*PMName Blade
         
         lathe {
            cubic_spline
            5,
            <-0.6, 12>, <0, 12>, <0.4, 10>, <0.5, 0>, <0.6, -1>
            sturm
            //*PMRawBegin
            texture {Silver_Metal}
            
            
            //*PMRawEnd
            scale <1, 1, 0.11>
            no_shadow
            hollow false
         }
         
         text {
            ttf "Floralia.ttf"
            "e"
            0.1, <0, 0>
            //*PMRawBegin
            pigment{Silver}
            
            
            //*PMRawEnd
            scale <1.5, 0.5, 0.5>
            rotate <180, 0, 90>
            translate <-0.25, 0.4, 0.06>
            no_shadow
            no_reflection
            hollow
            inverse
         }
      }
      
      lathe {
         //*PMName Grip
         cubic_spline
         4,
         <0, 0.074538>, <0.6, 0.078098>, <0.427, -3.9128>, <-2, -3.9128>
         //*PMRawBegin
         texture {Brass_Metal
         normal {
          ripples 6
          scale 0.03
          rotate y*45
         }
         }
         //*PMRawEnd
         scale <0.75, 1, 0.7>
         translate y*(-0.4)
         no_shadow
         hollow false
      }
      
      union {
         //*PMName Cross bar
         
         difference {
            //*PMName Left knop
            
            box {
               <-0.5, -0.5, -0.1>, <0.5, 0.5, 0.1>
               scale 1
               rotate <0, 0, 0>
               translate x*(-2.9)
            }
            
            cylinder {
               <0, 0.5, 0>, <0, -0.5, 0>, 0.5
               scale 1
               rotate x*90
               translate <-2.4, 0.67, 0>
            }
            
            cylinder {
               <0, 0.5, 0>, <0, -0.5, 0>, 0.5
               scale 1
               rotate x*90
               translate <-2.4, -0.67, 0>
            }
            
            merge {
               cylinder {
                  <0, 0.5, 0>, <0, -0.5, 0>, 0.5
                  scale 1
                  rotate x*90
                  translate <-2.95, -0.53, 0>
               }
               
               cylinder {
                  <0, 0.5, 0>, <0, -0.5, 0>, 0.5
                  scale 1
                  rotate x*90
                  translate <-2.95, 0.53, 0>
               }
               translate x*(-0.5)
            }
            translate x*0.4
         }
         
         box {
            //*PMName Crossbar
            <-2, -0.17, -0.1>, <2, 0.17, 0.1>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Crossbar
            <-2.25, -0.17, -0.1>, <2.25, 0.17, 0.1>
            scale <1, 0.1, 0.1>
            rotate x*30
            translate z*0.1
         }
         
         difference {
            //*PMName Right knop
            
            box {
               <-0.5, -0.5, -0.1>, <0.5, 0.5, 0.1>
               scale 1
               rotate <0, 0, 0>
               translate x*2.9
            }
            
            cylinder {
               <0, 0.5, 0>, <0, -0.5, 0>, 0.5
               scale 1
               rotate x*90
               translate <2.4, 0.67, 0>
            }
            
            cylinder {
               <0, 0.5, 0>, <0, -0.5, 0>, 0.5
               scale 1
               rotate x*90
               translate <2.4, -0.67, 0>
            }
            
            merge {
               cylinder {
                  <0, 0.5, 0>, <0, -0.5, 0>, 0.5
                  scale 1
                  rotate x*90
                  translate <2.95, -0.53, 0>
               }
               
               cylinder {
                  <0, 0.5, 0>, <0, -0.5, 0>, 0.5
                  scale 1
                  rotate x*90
                  translate <2.95, 0.53, 0>
               }
               translate x*0.5
            }
            translate x*(-0.4)
         }
         //*PMRawBegin
         texture {Bronze_Metal
         
         }
         finish {roughness 2}
         //*PMRawEnd
         translate y*(-0.15)
         no_shadow
      }
      
      difference {
         //*PMName Knop
         
         sphere {
            //*PMName Knop
            <0, 0, 0>, 0.8
            //*PMRawBegin
            texture {Bronze_Metal}
            //*PMRawEnd
            scale <1, 1, 0.2>
            translate y*(-4.5)
            no_shadow
            inverse
         }
         
         cylinder {
            <0, 0.56, 0>, <0, 0.37, 0>, 0.5
            //*PMRawBegin
            texture {Silver_Metal}
            //*PMRawEnd
            scale 1
            rotate <90, 0, -103.6>
            translate <0, -4.5, -0.4>
            no_shadow
         }
         
         sphere {
            <0, 0, 0>, 0.4
            
            pigment {
               image_map {
                  png
                  "emblem.png"
                  once
                  map_type 0
               }
               translate <-0.5, -0.5, 0>
               rotate x*180
            }
            //*PMRawBegin
            finish {Phong_Glossy}
            
            //*PMRawEnd
            scale <1, 1, 0.1>
            rotate <0, 0, 0>
            translate <0.01446, -4.5, 0.2>
            no_shadow
         }
         translate y*(-0.5)
      }
      no_shadow
   }
   rotate x*180
   translate <0, 0, 0>
   no_shadow
}

light_source {
   <0, 0, -50>, rgb <1, 1, 1>
}

camera {
   perspective
   location <0, 0, -25>
   sky <0, 1, 0>
   direction <0, 0, 1>
   right <1.3333, 0, 0>
   up <0, 1, 0>
   look_at <0, 0, 0>
}